function xcp = WheelSpd1xcp

xcp.events     =  repmat(struct('id',{}, 'sampletime', {}, 'offset', {}), getNumEvents, 1 );
xcp.parameters =  repmat(struct('symbol',{}, 'size', {}, 'dtname', {}, 'baseaddr', {}), getNumParameters, 1 );
xcp.signals    =  repmat(struct('symbol',{}), getNumSignals, 1 );
xcp.models     =  cell(1,getNumModels);
    
xcp.models{1} = 'WheelSpd1';
   
   
         
xcp.events(1).id         = 0;
xcp.events(1).sampletime = 0.002;
xcp.events(1).offset     = 0.0;
    
xcp.signals(1).symbol =  'WheelSpd1_B.CANRead1_o1';
    
xcp.signals(2).symbol =  'WheelSpd1_B.CANRead1_o2';
    
xcp.signals(3).symbol =  'WheelSpd1_B.RPM';
    
xcp.signals(4).symbol =  'WheelSpd1_B.TQ';
    
xcp.signals(5).symbol =  'WheelSpd1_B.ContMode';
    
xcp.signals(6).symbol =  'WheelSpd1_B.ControlFlag';
    
xcp.signals(7).symbol =  'WheelSpd1_B.Gain_d';
    
xcp.signals(8).symbol =  'WheelSpd1_B.Gain1';
    
xcp.signals(9).symbol =  'WheelSpd1_B.Memory';
    
xcp.signals(10).symbol =  'WheelSpd1_B.TargetSpd';
    
xcp.signals(11).symbol =  'WheelSpd1_B.Product_d';
    
xcp.signals(12).symbol =  'WheelSpd1_B.ControlOutput';
    
xcp.signals(13).symbol =  'WheelSpd1_B.InputSine';
    
xcp.signals(14).symbol =  'WheelSpd1_B.Error';
    
xcp.signals(15).symbol =  'WheelSpd1_B.Subtract2';
    
xcp.signals(16).symbol =  'WheelSpd1_B.Ready';
    
xcp.signals(17).symbol =  'WheelSpd1_B.Gear';
    
xcp.signals(18).symbol =  'WheelSpd1_B.BMS';
    
xcp.signals(19).symbol =  'WheelSpd1_B.PosTQLim';
    
xcp.signals(20).symbol =  'WheelSpd1_B.NegTQLim';
    
xcp.signals(21).symbol =  'WheelSpd1_B.CANPack';
    
xcp.signals(22).symbol =  'WheelSpd1_B.Clock1';
    
xcp.signals(23).symbol =  'WheelSpd1_B.Gain';
    
xcp.signals(24).symbol =  'WheelSpd1_B.Product';
    
xcp.signals(25).symbol =  'WheelSpd1_B.Product1_lf';
    
xcp.signals(26).symbol =  'WheelSpd1_B.Product2_g';
    
xcp.signals(27).symbol =  'WheelSpd1_B.Sum';
    
xcp.signals(28).symbol =  'WheelSpd1_B.Output';
    
xcp.signals(29).symbol =  'WheelSpd1_B.Gain_c';
    
xcp.signals(30).symbol =  'WheelSpd1_B.Product2_l';
    
xcp.signals(31).symbol =  'WheelSpd1_B.Product3_f';
    
xcp.signals(32).symbol =  'WheelSpd1_B.Product4_o';
    
xcp.signals(33).symbol =  'WheelSpd1_B.Add2';
    
xcp.signals(34).symbol =  'WheelSpd1_B.Add3';
    
xcp.signals(35).symbol =  'WheelSpd1_B.Constant1';
    
xcp.signals(36).symbol =  'WheelSpd1_B.Constant16';
    
xcp.signals(37).symbol =  'WheelSpd1_B.Constant17';
    
xcp.signals(38).symbol =  'WheelSpd1_B.Constant2';
    
xcp.signals(39).symbol =  'WheelSpd1_B.FBOut';
    
xcp.signals(40).symbol =  'WheelSpd1_B.Add';
    
xcp.signals(41).symbol =  'WheelSpd1_B.gain';
    
xcp.signals(42).symbol =  'WheelSpd1_B.gain1';
    
xcp.signals(43).symbol =  'WheelSpd1_B.gain2';
    
xcp.signals(44).symbol =  'WheelSpd1_B.Product1';
    
xcp.signals(45).symbol =  'WheelSpd1_B.Product11';
    
xcp.signals(46).symbol =  'WheelSpd1_B.Product2';
    
xcp.signals(47).symbol =  'WheelSpd1_B.Sum1';
    
xcp.signals(48).symbol =  'WheelSpd1_B.Sum2';
    
xcp.signals(49).symbol =  'WheelSpd1_B.Sum3';
    
xcp.signals(50).symbol =  'WheelSpd1_B.Sum4';
    
xcp.signals(51).symbol =  'WheelSpd1_B.d';
    
xcp.signals(52).symbol =  'WheelSpd1_B.d1';
    
xcp.signals(53).symbol =  'WheelSpd1_B.FromWs';
    
xcp.signals(54).symbol =  'WheelSpd1_B.gain_j';
    
xcp.signals(55).symbol =  'WheelSpd1_B.Sum1_m';
    
xcp.signals(56).symbol =  'WheelSpd1_B.Sum2_hn';
    
xcp.signals(57).symbol =  'WheelSpd1_B.d_in';
    
xcp.signals(58).symbol =  'WheelSpd1_B.d1_e';
    
xcp.signals(59).symbol =  'WheelSpd1_B.gain_g';
    
xcp.signals(60).symbol =  'WheelSpd1_B.Sum1_f';
    
xcp.signals(61).symbol =  'WheelSpd1_B.Sum2_kl';
    
xcp.signals(62).symbol =  'WheelSpd1_B.d_n';
    
xcp.signals(63).symbol =  'WheelSpd1_B.d1_bp';
    
xcp.signals(64).symbol =  'WheelSpd1_B.gain_gz';
    
xcp.signals(65).symbol =  'WheelSpd1_B.Sum1_g';
    
xcp.signals(66).symbol =  'WheelSpd1_B.Sum2_a';
    
xcp.signals(67).symbol =  'WheelSpd1_B.d_cu';
    
xcp.signals(68).symbol =  'WheelSpd1_B.d1_di';
    
xcp.signals(69).symbol =  'WheelSpd1_B.gain_o3';
    
xcp.signals(70).symbol =  'WheelSpd1_B.gain1_k';
    
xcp.signals(71).symbol =  'WheelSpd1_B.gain2_m';
    
xcp.signals(72).symbol =  'WheelSpd1_B.Product1_l';
    
xcp.signals(73).symbol =  'WheelSpd1_B.Product11_i';
    
xcp.signals(74).symbol =  'WheelSpd1_B.Product2_h';
    
xcp.signals(75).symbol =  'WheelSpd1_B.Sum1_e';
    
xcp.signals(76).symbol =  'WheelSpd1_B.Sum2_b';
    
xcp.signals(77).symbol =  'WheelSpd1_B.Sum3_f';
    
xcp.signals(78).symbol =  'WheelSpd1_B.Sum4_k';
    
xcp.signals(79).symbol =  'WheelSpd1_B.d_p';
    
xcp.signals(80).symbol =  'WheelSpd1_B.d1_n';
    
xcp.signals(81).symbol =  'WheelSpd1_B.gain1_f';
    
xcp.signals(82).symbol =  'WheelSpd1_B.gain2_d';
    
xcp.signals(83).symbol =  'WheelSpd1_B.gain3_b';
    
xcp.signals(84).symbol =  'WheelSpd1_B.gain4_g';
    
xcp.signals(85).symbol =  'WheelSpd1_B.Product1_fm';
    
xcp.signals(86).symbol =  'WheelSpd1_B.Product2_m';
    
xcp.signals(87).symbol =  'WheelSpd1_B.Product3_i';
    
xcp.signals(88).symbol =  'WheelSpd1_B.Product4_i';
    
xcp.signals(89).symbol =  'WheelSpd1_B.xnxn1xn2_a';
    
xcp.signals(90).symbol =  'WheelSpd1_B.yn1_m';
    
xcp.signals(91).symbol =  'WheelSpd1_B.yn2_g';
    
xcp.signals(92).symbol =  'WheelSpd1_B.Sum1_ek';
    
xcp.signals(93).symbol =  'WheelSpd1_B.Sum2_m';
    
xcp.signals(94).symbol =  'WheelSpd1_B.Sum3_a';
    
xcp.signals(95).symbol =  'WheelSpd1_B.Sum4_kn';
    
xcp.signals(96).symbol =  'WheelSpd1_B.Sum5_f';
    
xcp.signals(97).symbol =  'WheelSpd1_B.Sum6_g';
    
xcp.signals(98).symbol =  'WheelSpd1_B.Delay_a';
    
xcp.signals(99).symbol =  'WheelSpd1_B.Delay1_n';
    
xcp.signals(100).symbol =  'WheelSpd1_B.Delay2_n';
    
xcp.signals(101).symbol =  'WheelSpd1_B.Delay3_i';
    
xcp.signals(102).symbol =  'WheelSpd1_B.MultiportSwitch1';
    
xcp.signals(103).symbol =  'WheelSpd1_B.FFGain';
    
xcp.signals(104).symbol =  'WheelSpd1_B.Gain_l';
    
xcp.signals(105).symbol =  'WheelSpd1_B.Product_n';
    
xcp.signals(106).symbol =  'WheelSpd1_B.Product1_f';
    
xcp.signals(107).symbol =  'WheelSpd1_B.Product2_c';
    
xcp.signals(108).symbol =  'WheelSpd1_B.Add5';
    
xcp.signals(109).symbol =  'WheelSpd1_B.Kp';
    
xcp.signals(110).symbol =  'WheelSpd1_B.Gain_a';
    
xcp.signals(111).symbol =  'WheelSpd1_B.Product_k';
    
xcp.signals(112).symbol =  'WheelSpd1_B.Ki';
    
xcp.signals(113).symbol =  'WheelSpd1_B.Kp_b';
    
xcp.signals(114).symbol =  'WheelSpd1_B.gain_mk';
    
xcp.signals(115).symbol =  'WheelSpd1_B.Divide1';
    
xcp.signals(116).symbol =  'WheelSpd1_B.Divide2';
    
xcp.signals(117).symbol =  'WheelSpd1_B.Add_k';
    
xcp.signals(118).symbol =  'WheelSpd1_B.gain_m';
    
xcp.signals(119).symbol =  'WheelSpd1_B.Sum1_n';
    
xcp.signals(120).symbol =  'WheelSpd1_B.Sum2_h';
    
xcp.signals(121).symbol =  'WheelSpd1_B.d_a';
    
xcp.signals(122).symbol =  'WheelSpd1_B.d1_d';
    
xcp.signals(123).symbol =  'WheelSpd1_B.gain_o';
    
xcp.signals(124).symbol =  'WheelSpd1_B.Sum1_p';
    
xcp.signals(125).symbol =  'WheelSpd1_B.Sum2_g';
    
xcp.signals(126).symbol =  'WheelSpd1_B.d_b';
    
xcp.signals(127).symbol =  'WheelSpd1_B.d1_c';
    
xcp.signals(128).symbol =  'WheelSpd1_B.gain_d';
    
xcp.signals(129).symbol =  'WheelSpd1_B.Sum1_k';
    
xcp.signals(130).symbol =  'WheelSpd1_B.Sum2_k';
    
xcp.signals(131).symbol =  'WheelSpd1_B.d_bp';
    
xcp.signals(132).symbol =  'WheelSpd1_B.d1_f';
    
xcp.signals(133).symbol =  'WheelSpd1_B.gain_e';
    
xcp.signals(134).symbol =  'WheelSpd1_B.gain1_gt';
    
xcp.signals(135).symbol =  'WheelSpd1_B.gain2_k';
    
xcp.signals(136).symbol =  'WheelSpd1_B.Product1_i';
    
xcp.signals(137).symbol =  'WheelSpd1_B.Product11_e';
    
xcp.signals(138).symbol =  'WheelSpd1_B.Product2_p';
    
xcp.signals(139).symbol =  'WheelSpd1_B.Sum1_px';
    
xcp.signals(140).symbol =  'WheelSpd1_B.Sum2_kk';
    
xcp.signals(141).symbol =  'WheelSpd1_B.Sum3_c';
    
xcp.signals(142).symbol =  'WheelSpd1_B.Sum4_l';
    
xcp.signals(143).symbol =  'WheelSpd1_B.d_i';
    
xcp.signals(144).symbol =  'WheelSpd1_B.d1_b';
    
xcp.signals(145).symbol =  'WheelSpd1_B.gain1_g';
    
xcp.signals(146).symbol =  'WheelSpd1_B.gain2_h';
    
xcp.signals(147).symbol =  'WheelSpd1_B.gain3';
    
xcp.signals(148).symbol =  'WheelSpd1_B.gain4';
    
xcp.signals(149).symbol =  'WheelSpd1_B.Product1_n';
    
xcp.signals(150).symbol =  'WheelSpd1_B.Product2_e';
    
xcp.signals(151).symbol =  'WheelSpd1_B.Product3';
    
xcp.signals(152).symbol =  'WheelSpd1_B.Product4';
    
xcp.signals(153).symbol =  'WheelSpd1_B.xnxn1xn2';
    
xcp.signals(154).symbol =  'WheelSpd1_B.yn1';
    
xcp.signals(155).symbol =  'WheelSpd1_B.yn2';
    
xcp.signals(156).symbol =  'WheelSpd1_B.Sum1_a';
    
xcp.signals(157).symbol =  'WheelSpd1_B.Sum2_c';
    
xcp.signals(158).symbol =  'WheelSpd1_B.Sum3_d';
    
xcp.signals(159).symbol =  'WheelSpd1_B.Sum4_c';
    
xcp.signals(160).symbol =  'WheelSpd1_B.Sum5';
    
xcp.signals(161).symbol =  'WheelSpd1_B.Sum6';
    
xcp.signals(162).symbol =  'WheelSpd1_B.Delay';
    
xcp.signals(163).symbol =  'WheelSpd1_B.Delay1';
    
xcp.signals(164).symbol =  'WheelSpd1_B.Delay2';
    
xcp.signals(165).symbol =  'WheelSpd1_B.Delay3';
    
xcp.signals(166).symbol =  'WheelSpd1_B.gain2_n';
    
xcp.signals(167).symbol =  'WheelSpd1_B.utau';
    
xcp.signals(168).symbol =  'WheelSpd1_B.Product1_a';
    
xcp.signals(169).symbol =  'WheelSpd1_B.Product11_n';
    
xcp.signals(170).symbol =  'WheelSpd1_B.tau';
    
xcp.signals(171).symbol =  'WheelSpd1_B.Product3_e';
    
xcp.signals(172).symbol =  'WheelSpd1_B.Sum1_i';
    
xcp.signals(173).symbol =  'WheelSpd1_B.Sum2_j';
    
xcp.signals(174).symbol =  'WheelSpd1_B.Sum3_g';
    
xcp.signals(175).symbol =  'WheelSpd1_B.Sum4_a';
    
xcp.signals(176).symbol =  'WheelSpd1_B.d_j';
    
xcp.signals(177).symbol =  'WheelSpd1_B.d1_p';
    
xcp.signals(178).symbol =  'WheelSpd1_B.gain_ds';
    
xcp.signals(179).symbol =  'WheelSpd1_B.Sum1_d';
    
xcp.signals(180).symbol =  'WheelSpd1_B.Sum2_l';
    
xcp.signals(181).symbol =  'WheelSpd1_B.d_c';
    
xcp.signals(182).symbol =  'WheelSpd1_B.d1_cf';
         
xcp.parameters(1).symbol = 'WheelSpd1_P.CANRead1_P1';
xcp.parameters(1).size   =  1;       
xcp.parameters(1).dtname = 'real_T'; 
xcp.parameters(2).baseaddr = '&WheelSpd1_P.CANRead1_P1';     
         
xcp.parameters(2).symbol = 'WheelSpd1_P.CANRead1_P2';
xcp.parameters(2).size   =  1;       
xcp.parameters(2).dtname = 'real_T'; 
xcp.parameters(3).baseaddr = '&WheelSpd1_P.CANRead1_P2';     
         
xcp.parameters(3).symbol = 'WheelSpd1_P.CANRead1_P3';
xcp.parameters(3).size   =  1;       
xcp.parameters(3).dtname = 'real_T'; 
xcp.parameters(4).baseaddr = '&WheelSpd1_P.CANRead1_P3';     
         
xcp.parameters(4).symbol = 'WheelSpd1_P.CANRead1_P4';
xcp.parameters(4).size   =  5;       
xcp.parameters(4).dtname = 'real_T'; 
xcp.parameters(5).baseaddr = '&WheelSpd1_P.CANRead1_P4[0]';     
         
xcp.parameters(5).symbol = 'WheelSpd1_P.CANRead1_P5';
xcp.parameters(5).size   =  1;       
xcp.parameters(5).dtname = 'real_T'; 
xcp.parameters(6).baseaddr = '&WheelSpd1_P.CANRead1_P5';     
         
xcp.parameters(6).symbol = 'WheelSpd1_P.CANRead1_P6';
xcp.parameters(6).size   =  1;       
xcp.parameters(6).dtname = 'real_T'; 
xcp.parameters(7).baseaddr = '&WheelSpd1_P.CANRead1_P6';     
         
xcp.parameters(7).symbol = 'WheelSpd1_P.CANSetup_P1';
xcp.parameters(7).size   =  1;       
xcp.parameters(7).dtname = 'real_T'; 
xcp.parameters(8).baseaddr = '&WheelSpd1_P.CANSetup_P1';     
         
xcp.parameters(8).symbol = 'WheelSpd1_P.CANSetup_P2';
xcp.parameters(8).size   =  2;       
xcp.parameters(8).dtname = 'real_T'; 
xcp.parameters(9).baseaddr = '&WheelSpd1_P.CANSetup_P2[0]';     
         
xcp.parameters(9).symbol = 'WheelSpd1_P.CANSetup_P3';
xcp.parameters(9).size   =  1;       
xcp.parameters(9).dtname = 'real_T'; 
xcp.parameters(10).baseaddr = '&WheelSpd1_P.CANSetup_P3';     
         
xcp.parameters(10).symbol = 'WheelSpd1_P.CANSetup_P4';
xcp.parameters(10).size   =  1;       
xcp.parameters(10).dtname = 'real_T'; 
xcp.parameters(11).baseaddr = '&WheelSpd1_P.CANSetup_P4';     
         
xcp.parameters(11).symbol = 'WheelSpd1_P.CANSetup_P5';
xcp.parameters(11).size   =  1;       
xcp.parameters(11).dtname = 'real_T'; 
xcp.parameters(12).baseaddr = '&WheelSpd1_P.CANSetup_P5';     
         
xcp.parameters(12).symbol = 'WheelSpd1_P.CANSetup_P6';
xcp.parameters(12).size   =  1;       
xcp.parameters(12).dtname = 'real_T'; 
xcp.parameters(13).baseaddr = '&WheelSpd1_P.CANSetup_P6';     
         
xcp.parameters(13).symbol = 'WheelSpd1_P.CANSetup_P7';
xcp.parameters(13).size   =  4;       
xcp.parameters(13).dtname = 'real_T'; 
xcp.parameters(14).baseaddr = '&WheelSpd1_P.CANSetup_P7[0]';     
         
xcp.parameters(14).symbol = 'WheelSpd1_P.CANSetup_P8';
xcp.parameters(14).size   =  6;       
xcp.parameters(14).dtname = 'real_T'; 
xcp.parameters(15).baseaddr = '&WheelSpd1_P.CANSetup_P8[0]';     
         
xcp.parameters(15).symbol = 'WheelSpd1_P.CANSetup_P9';
xcp.parameters(15).size   =  2;       
xcp.parameters(15).dtname = 'real_T'; 
xcp.parameters(16).baseaddr = '&WheelSpd1_P.CANSetup_P9[0]';     
         
xcp.parameters(16).symbol = 'WheelSpd1_P.CANSetup_P10';
xcp.parameters(16).size   =  2;       
xcp.parameters(16).dtname = 'real_T'; 
xcp.parameters(17).baseaddr = '&WheelSpd1_P.CANSetup_P10[0]';     
         
xcp.parameters(17).symbol = 'WheelSpd1_P.CANSetup_P11';
xcp.parameters(17).size   =  1;       
xcp.parameters(17).dtname = 'real_T'; 
xcp.parameters(18).baseaddr = '&WheelSpd1_P.CANSetup_P11';     
         
xcp.parameters(18).symbol = 'WheelSpd1_P.CANSetup_P12';
xcp.parameters(18).size   =  4;       
xcp.parameters(18).dtname = 'real_T'; 
xcp.parameters(19).baseaddr = '&WheelSpd1_P.CANSetup_P12[0]';     
         
xcp.parameters(19).symbol = 'WheelSpd1_P.CANSetup_P13';
xcp.parameters(19).size   =  6;       
xcp.parameters(19).dtname = 'real_T'; 
xcp.parameters(20).baseaddr = '&WheelSpd1_P.CANSetup_P13[0]';     
         
xcp.parameters(20).symbol = 'WheelSpd1_P.CANSetup_P14';
xcp.parameters(20).size   =  2;       
xcp.parameters(20).dtname = 'real_T'; 
xcp.parameters(21).baseaddr = '&WheelSpd1_P.CANSetup_P14[0]';     
         
xcp.parameters(21).symbol = 'WheelSpd1_P.CANSetup_P15';
xcp.parameters(21).size   =  2;       
xcp.parameters(21).dtname = 'real_T'; 
xcp.parameters(22).baseaddr = '&WheelSpd1_P.CANSetup_P15[0]';     
         
xcp.parameters(22).symbol = 'WheelSpd1_P.CANSetup_P16';
xcp.parameters(22).size   =  1;       
xcp.parameters(22).dtname = 'real_T'; 
xcp.parameters(23).baseaddr = '&WheelSpd1_P.CANSetup_P16';     
         
xcp.parameters(23).symbol = 'WheelSpd1_P.CANSetup_P17';
xcp.parameters(23).size   =  1;       
xcp.parameters(23).dtname = 'real_T'; 
xcp.parameters(24).baseaddr = '&WheelSpd1_P.CANSetup_P17';     
         
xcp.parameters(24).symbol = 'WheelSpd1_P.CANSetup_P18';
xcp.parameters(24).size   =  5;       
xcp.parameters(24).dtname = 'real_T'; 
xcp.parameters(25).baseaddr = '&WheelSpd1_P.CANSetup_P18[0]';     
         
xcp.parameters(25).symbol = 'WheelSpd1_P.CANSetup_P19';
xcp.parameters(25).size   =  1;       
xcp.parameters(25).dtname = 'real_T'; 
xcp.parameters(26).baseaddr = '&WheelSpd1_P.CANSetup_P19';     
         
xcp.parameters(26).symbol = 'WheelSpd1_P.CANSetup_P20';
xcp.parameters(26).size   =  2;       
xcp.parameters(26).dtname = 'real_T'; 
xcp.parameters(27).baseaddr = '&WheelSpd1_P.CANSetup_P20[0]';     
         
xcp.parameters(27).symbol = 'WheelSpd1_P.CANSetup_P21';
xcp.parameters(27).size   =  2;       
xcp.parameters(27).dtname = 'real_T'; 
xcp.parameters(28).baseaddr = '&WheelSpd1_P.CANSetup_P21[0]';     
         
xcp.parameters(28).symbol = 'WheelSpd1_P.CANSetup_P22';
xcp.parameters(28).size   =  2;       
xcp.parameters(28).dtname = 'real_T'; 
xcp.parameters(29).baseaddr = '&WheelSpd1_P.CANSetup_P22[0]';     
         
xcp.parameters(29).symbol = 'WheelSpd1_P.CANSetup_P23';
xcp.parameters(29).size   =  2;       
xcp.parameters(29).dtname = 'real_T'; 
xcp.parameters(30).baseaddr = '&WheelSpd1_P.CANSetup_P23[0]';     
         
xcp.parameters(30).symbol = 'WheelSpd1_P.CANSetup_P24';
xcp.parameters(30).size   =  1;       
xcp.parameters(30).dtname = 'real_T'; 
xcp.parameters(31).baseaddr = '&WheelSpd1_P.CANSetup_P24';     
         
xcp.parameters(31).symbol = 'WheelSpd1_P.ChirpSignal_f1';
xcp.parameters(31).size   =  1;       
xcp.parameters(31).dtname = 'real_T'; 
xcp.parameters(32).baseaddr = '&WheelSpd1_P.ChirpSignal_f1';     
         
xcp.parameters(32).symbol = 'WheelSpd1_P.ChirpSignal_T';
xcp.parameters(32).size   =  1;       
xcp.parameters(32).dtname = 'real_T'; 
xcp.parameters(33).baseaddr = '&WheelSpd1_P.ChirpSignal_T';     
         
xcp.parameters(33).symbol = 'WheelSpd1_P.ChirpSignal_f2';
xcp.parameters(33).size   =  1;       
xcp.parameters(33).dtname = 'real_T'; 
xcp.parameters(34).baseaddr = '&WheelSpd1_P.ChirpSignal_f2';     
         
xcp.parameters(34).symbol = 'WheelSpd1_P.Constant1_Value_a';
xcp.parameters(34).size   =  1;       
xcp.parameters(34).dtname = 'real_T'; 
xcp.parameters(35).baseaddr = '&WheelSpd1_P.Constant1_Value_a';     
         
xcp.parameters(35).symbol = 'WheelSpd1_P.ContMode_Value';
xcp.parameters(35).size   =  1;       
xcp.parameters(35).dtname = 'real_T'; 
xcp.parameters(36).baseaddr = '&WheelSpd1_P.ContMode_Value';     
         
xcp.parameters(36).symbol = 'WheelSpd1_P.DOBFlag_Value';
xcp.parameters(36).size   =  1;       
xcp.parameters(36).dtname = 'real_T'; 
xcp.parameters(37).baseaddr = '&WheelSpd1_P.DOBFlag_Value';     
         
xcp.parameters(37).symbol = 'WheelSpd1_P.InputSelector_Value';
xcp.parameters(37).size   =  1;       
xcp.parameters(37).dtname = 'real_T'; 
xcp.parameters(38).baseaddr = '&WheelSpd1_P.InputSelector_Value';     
         
xcp.parameters(38).symbol = 'WheelSpd1_P.Pole_Value';
xcp.parameters(38).size   =  1;       
xcp.parameters(38).dtname = 'real_T'; 
xcp.parameters(39).baseaddr = '&WheelSpd1_P.Pole_Value';     
         
xcp.parameters(39).symbol = 'WheelSpd1_P.Qfilter2_Value';
xcp.parameters(39).size   =  1;       
xcp.parameters(39).dtname = 'real_T'; 
xcp.parameters(40).baseaddr = '&WheelSpd1_P.Qfilter2_Value';     
         
xcp.parameters(40).symbol = 'WheelSpd1_P.ContM_Gain';
xcp.parameters(40).size   =  1;       
xcp.parameters(40).dtname = 'real_T'; 
xcp.parameters(41).baseaddr = '&WheelSpd1_P.ContM_Gain';     
         
xcp.parameters(41).symbol = 'WheelSpd1_P.ControlFlag_Gain';
xcp.parameters(41).size   =  1;       
xcp.parameters(41).dtname = 'real_T'; 
xcp.parameters(42).baseaddr = '&WheelSpd1_P.ControlFlag_Gain';     
         
xcp.parameters(42).symbol = 'WheelSpd1_P.Gain_Gain';
xcp.parameters(42).size   =  1;       
xcp.parameters(42).dtname = 'real_T'; 
xcp.parameters(43).baseaddr = '&WheelSpd1_P.Gain_Gain';     
         
xcp.parameters(43).symbol = 'WheelSpd1_P.Gain1_Gain';
xcp.parameters(43).size   =  1;       
xcp.parameters(43).dtname = 'real_T'; 
xcp.parameters(44).baseaddr = '&WheelSpd1_P.Gain1_Gain';     
         
xcp.parameters(44).symbol = 'WheelSpd1_P.Memory_InitialCondition';
xcp.parameters(44).size   =  1;       
xcp.parameters(44).dtname = 'real_T'; 
xcp.parameters(45).baseaddr = '&WheelSpd1_P.Memory_InitialCondition';     
         
xcp.parameters(45).symbol = 'WheelSpd1_P.Saturation_UpperSat';
xcp.parameters(45).size   =  1;       
xcp.parameters(45).dtname = 'real_T'; 
xcp.parameters(46).baseaddr = '&WheelSpd1_P.Saturation_UpperSat';     
         
xcp.parameters(46).symbol = 'WheelSpd1_P.Saturation_LowerSat';
xcp.parameters(46).size   =  1;       
xcp.parameters(46).dtname = 'real_T'; 
xcp.parameters(47).baseaddr = '&WheelSpd1_P.Saturation_LowerSat';     
         
xcp.parameters(47).symbol = 'WheelSpd1_P.InputSine_Amp';
xcp.parameters(47).size   =  1;       
xcp.parameters(47).dtname = 'real_T'; 
xcp.parameters(48).baseaddr = '&WheelSpd1_P.InputSine_Amp';     
         
xcp.parameters(48).symbol = 'WheelSpd1_P.InputSine_Bias';
xcp.parameters(48).size   =  1;       
xcp.parameters(48).dtname = 'real_T'; 
xcp.parameters(49).baseaddr = '&WheelSpd1_P.InputSine_Bias';     
         
xcp.parameters(49).symbol = 'WheelSpd1_P.InputSine_Freq';
xcp.parameters(49).size   =  1;       
xcp.parameters(49).dtname = 'real_T'; 
xcp.parameters(50).baseaddr = '&WheelSpd1_P.InputSine_Freq';     
         
xcp.parameters(50).symbol = 'WheelSpd1_P.InputSine_Phase';
xcp.parameters(50).size   =  1;       
xcp.parameters(50).dtname = 'real_T'; 
xcp.parameters(51).baseaddr = '&WheelSpd1_P.InputSine_Phase';     
         
xcp.parameters(51).symbol = 'WheelSpd1_P.Constant_Value';
xcp.parameters(51).size   =  1;       
xcp.parameters(51).dtname = 'real_T'; 
xcp.parameters(52).baseaddr = '&WheelSpd1_P.Constant_Value';     
         
xcp.parameters(52).symbol = 'WheelSpd1_P.Constant1_Value';
xcp.parameters(52).size   =  1;       
xcp.parameters(52).dtname = 'real_T'; 
xcp.parameters(53).baseaddr = '&WheelSpd1_P.Constant1_Value';     
         
xcp.parameters(53).symbol = 'WheelSpd1_P.Constant2_Value';
xcp.parameters(53).size   =  1;       
xcp.parameters(53).dtname = 'real_T'; 
xcp.parameters(54).baseaddr = '&WheelSpd1_P.Constant2_Value';     
         
xcp.parameters(54).symbol = 'WheelSpd1_P.Constant3_Value';
xcp.parameters(54).size   =  1;       
xcp.parameters(54).dtname = 'real_T'; 
xcp.parameters(55).baseaddr = '&WheelSpd1_P.Constant3_Value';     
         
xcp.parameters(55).symbol = 'WheelSpd1_P.Constant4_Value';
xcp.parameters(55).size   =  1;       
xcp.parameters(55).dtname = 'real_T'; 
xcp.parameters(56).baseaddr = '&WheelSpd1_P.Constant4_Value';     
         
xcp.parameters(56).symbol = 'WheelSpd1_P.CANWrite1_P1';
xcp.parameters(56).size   =  1;       
xcp.parameters(56).dtname = 'real_T'; 
xcp.parameters(57).baseaddr = '&WheelSpd1_P.CANWrite1_P1';     
         
xcp.parameters(57).symbol = 'WheelSpd1_P.CANWrite1_P2';
xcp.parameters(57).size   =  1;       
xcp.parameters(57).dtname = 'real_T'; 
xcp.parameters(58).baseaddr = '&WheelSpd1_P.CANWrite1_P2';     
         
xcp.parameters(58).symbol = 'WheelSpd1_P.CANWrite1_P3';
xcp.parameters(58).size   =  1;       
xcp.parameters(58).dtname = 'real_T'; 
xcp.parameters(59).baseaddr = '&WheelSpd1_P.CANWrite1_P3';     
         
xcp.parameters(59).symbol = 'WheelSpd1_P.CANWrite1_P4';
xcp.parameters(59).size   =  1;       
xcp.parameters(59).dtname = 'real_T'; 
xcp.parameters(60).baseaddr = '&WheelSpd1_P.CANWrite1_P4';     
         
xcp.parameters(60).symbol = 'WheelSpd1_P.CANWrite1_P5';
xcp.parameters(60).size   =  5;       
xcp.parameters(60).dtname = 'real_T'; 
xcp.parameters(61).baseaddr = '&WheelSpd1_P.CANWrite1_P5[0]';     
         
xcp.parameters(61).symbol = 'WheelSpd1_P.CANWrite1_P6';
xcp.parameters(61).size   =  1;       
xcp.parameters(61).dtname = 'real_T'; 
xcp.parameters(62).baseaddr = '&WheelSpd1_P.CANWrite1_P6';     
         
xcp.parameters(62).symbol = 'WheelSpd1_P.CANWrite1_P7';
xcp.parameters(62).size   =  1;       
xcp.parameters(62).dtname = 'real_T'; 
xcp.parameters(63).baseaddr = '&WheelSpd1_P.CANWrite1_P7';     
         
xcp.parameters(63).symbol = 'WheelSpd1_P.Gain_Gain_a';
xcp.parameters(63).size   =  1;       
xcp.parameters(63).dtname = 'real_T'; 
xcp.parameters(64).baseaddr = '&WheelSpd1_P.Gain_Gain_a';     
         
xcp.parameters(64).symbol = 'WheelSpd1_P.zeta1_Value';
xcp.parameters(64).size   =  1;       
xcp.parameters(64).dtname = 'real_T'; 
xcp.parameters(65).baseaddr = '&WheelSpd1_P.zeta1_Value';     
         
xcp.parameters(65).symbol = 'WheelSpd1_P.BW_P_Value';
xcp.parameters(65).size   =  1;       
xcp.parameters(65).dtname = 'real_T'; 
xcp.parameters(66).baseaddr = '&WheelSpd1_P.BW_P_Value';     
         
xcp.parameters(66).symbol = 'WheelSpd1_P.BW_PI_Value';
xcp.parameters(66).size   =  1;       
xcp.parameters(66).dtname = 'real_T'; 
xcp.parameters(67).baseaddr = '&WheelSpd1_P.BW_PI_Value';     
         
xcp.parameters(67).symbol = 'WheelSpd1_P.FF_CutoffFreq_Value';
xcp.parameters(67).size   =  1;       
xcp.parameters(67).dtname = 'real_T'; 
xcp.parameters(68).baseaddr = '&WheelSpd1_P.FF_CutoffFreq_Value';     
         
xcp.parameters(68).symbol = 'WheelSpd1_P.Selector_Value';
xcp.parameters(68).size   =  1;       
xcp.parameters(68).dtname = 'real_T'; 
xcp.parameters(69).baseaddr = '&WheelSpd1_P.Selector_Value';     
         
xcp.parameters(69).symbol = 'WheelSpd1_P.FBGain_Gain';
xcp.parameters(69).size   =  1;       
xcp.parameters(69).dtname = 'real_T'; 
xcp.parameters(70).baseaddr = '&WheelSpd1_P.FBGain_Gain';     
         
xcp.parameters(70).symbol = 'WheelSpd1_P.Constant1_Value_n';
xcp.parameters(70).size   =  1;       
xcp.parameters(70).dtname = 'real_T'; 
xcp.parameters(71).baseaddr = '&WheelSpd1_P.Constant1_Value_n';     
         
xcp.parameters(71).symbol = 'WheelSpd1_P.gain1_Gain';
xcp.parameters(71).size   =  1;       
xcp.parameters(71).dtname = 'real_T'; 
xcp.parameters(72).baseaddr = '&WheelSpd1_P.gain1_Gain';     
         
xcp.parameters(72).symbol = 'WheelSpd1_P.gain2_Gain';
xcp.parameters(72).size   =  1;       
xcp.parameters(72).dtname = 'real_T'; 
xcp.parameters(73).baseaddr = '&WheelSpd1_P.gain2_Gain';     
         
xcp.parameters(73).symbol = 'WheelSpd1_P.d_InitialCondition';
xcp.parameters(73).size   =  1;       
xcp.parameters(73).dtname = 'real_T'; 
xcp.parameters(74).baseaddr = '&WheelSpd1_P.d_InitialCondition';     
         
xcp.parameters(74).symbol = 'WheelSpd1_P.d1_InitialCondition';
xcp.parameters(74).size   =  1;       
xcp.parameters(74).dtname = 'real_T'; 
xcp.parameters(75).baseaddr = '&WheelSpd1_P.d1_InitialCondition';     
         
xcp.parameters(75).symbol = 'WheelSpd1_P.d_InitialCondition_k';
xcp.parameters(75).size   =  1;       
xcp.parameters(75).dtname = 'real_T'; 
xcp.parameters(76).baseaddr = '&WheelSpd1_P.d_InitialCondition_k';     
         
xcp.parameters(76).symbol = 'WheelSpd1_P.d1_InitialCondition_e1';
xcp.parameters(76).size   =  1;       
xcp.parameters(76).dtname = 'real_T'; 
xcp.parameters(77).baseaddr = '&WheelSpd1_P.d1_InitialCondition_e1';     
         
xcp.parameters(77).symbol = 'WheelSpd1_P.d_InitialCondition_be';
xcp.parameters(77).size   =  1;       
xcp.parameters(77).dtname = 'real_T'; 
xcp.parameters(78).baseaddr = '&WheelSpd1_P.d_InitialCondition_be';     
         
xcp.parameters(78).symbol = 'WheelSpd1_P.d1_InitialCondition_h';
xcp.parameters(78).size   =  1;       
xcp.parameters(78).dtname = 'real_T'; 
xcp.parameters(79).baseaddr = '&WheelSpd1_P.d1_InitialCondition_h';     
         
xcp.parameters(79).symbol = 'WheelSpd1_P.d_InitialCondition_k0';
xcp.parameters(79).size   =  1;       
xcp.parameters(79).dtname = 'real_T'; 
xcp.parameters(80).baseaddr = '&WheelSpd1_P.d_InitialCondition_k0';     
         
xcp.parameters(80).symbol = 'WheelSpd1_P.d1_InitialCondition_d';
xcp.parameters(80).size   =  1;       
xcp.parameters(80).dtname = 'real_T'; 
xcp.parameters(81).baseaddr = '&WheelSpd1_P.d1_InitialCondition_d';     
         
xcp.parameters(81).symbol = 'WheelSpd1_P.Constant1_Value_id';
xcp.parameters(81).size   =  1;       
xcp.parameters(81).dtname = 'real_T'; 
xcp.parameters(82).baseaddr = '&WheelSpd1_P.Constant1_Value_id';     
         
xcp.parameters(82).symbol = 'WheelSpd1_P.gain1_Gain_f2';
xcp.parameters(82).size   =  1;       
xcp.parameters(82).dtname = 'real_T'; 
xcp.parameters(83).baseaddr = '&WheelSpd1_P.gain1_Gain_f2';     
         
xcp.parameters(83).symbol = 'WheelSpd1_P.gain2_Gain_a';
xcp.parameters(83).size   =  1;       
xcp.parameters(83).dtname = 'real_T'; 
xcp.parameters(84).baseaddr = '&WheelSpd1_P.gain2_Gain_a';     
         
xcp.parameters(84).symbol = 'WheelSpd1_P.d_InitialCondition_kh';
xcp.parameters(84).size   =  1;       
xcp.parameters(84).dtname = 'real_T'; 
xcp.parameters(85).baseaddr = '&WheelSpd1_P.d_InitialCondition_kh';     
         
xcp.parameters(85).symbol = 'WheelSpd1_P.d1_InitialCondition_c';
xcp.parameters(85).size   =  1;       
xcp.parameters(85).dtname = 'real_T'; 
xcp.parameters(86).baseaddr = '&WheelSpd1_P.d1_InitialCondition_c';     
         
xcp.parameters(86).symbol = 'WheelSpd1_P.Constant1_Value_e';
xcp.parameters(86).size   =  1;       
xcp.parameters(86).dtname = 'real_T'; 
xcp.parameters(87).baseaddr = '&WheelSpd1_P.Constant1_Value_e';     
         
xcp.parameters(87).symbol = 'WheelSpd1_P.Constant2_Value_h';
xcp.parameters(87).size   =  1;       
xcp.parameters(87).dtname = 'real_T'; 
xcp.parameters(88).baseaddr = '&WheelSpd1_P.Constant2_Value_h';     
         
xcp.parameters(88).symbol = 'WheelSpd1_P.gain1_Gain_n';
xcp.parameters(88).size   =  1;       
xcp.parameters(88).dtname = 'real_T'; 
xcp.parameters(89).baseaddr = '&WheelSpd1_P.gain1_Gain_n';     
         
xcp.parameters(89).symbol = 'WheelSpd1_P.gain2_Gain_f';
xcp.parameters(89).size   =  1;       
xcp.parameters(89).dtname = 'real_T'; 
xcp.parameters(90).baseaddr = '&WheelSpd1_P.gain2_Gain_f';     
         
xcp.parameters(90).symbol = 'WheelSpd1_P.gain3_Gain_d';
xcp.parameters(90).size   =  1;       
xcp.parameters(90).dtname = 'real_T'; 
xcp.parameters(91).baseaddr = '&WheelSpd1_P.gain3_Gain_d';     
         
xcp.parameters(91).symbol = 'WheelSpd1_P.gain4_Gain_i';
xcp.parameters(91).size   =  1;       
xcp.parameters(91).dtname = 'real_T'; 
xcp.parameters(92).baseaddr = '&WheelSpd1_P.gain4_Gain_i';     
         
xcp.parameters(92).symbol = 'WheelSpd1_P.Delay_DelayLength_f';
xcp.parameters(92).size   =  1;       
xcp.parameters(92).dtname = 'uint32_T'; 
xcp.parameters(93).baseaddr = '&WheelSpd1_P.Delay_DelayLength_f';     
         
xcp.parameters(93).symbol = 'WheelSpd1_P.Delay_InitialCondition_c';
xcp.parameters(93).size   =  1;       
xcp.parameters(93).dtname = 'real_T'; 
xcp.parameters(94).baseaddr = '&WheelSpd1_P.Delay_InitialCondition_c';     
         
xcp.parameters(94).symbol = 'WheelSpd1_P.Delay1_DelayLength_g';
xcp.parameters(94).size   =  1;       
xcp.parameters(94).dtname = 'uint32_T'; 
xcp.parameters(95).baseaddr = '&WheelSpd1_P.Delay1_DelayLength_g';     
         
xcp.parameters(95).symbol = 'WheelSpd1_P.Delay1_InitialCondition_c';
xcp.parameters(95).size   =  1;       
xcp.parameters(95).dtname = 'real_T'; 
xcp.parameters(96).baseaddr = '&WheelSpd1_P.Delay1_InitialCondition_c';     
         
xcp.parameters(96).symbol = 'WheelSpd1_P.Delay2_DelayLength_c';
xcp.parameters(96).size   =  1;       
xcp.parameters(96).dtname = 'uint32_T'; 
xcp.parameters(97).baseaddr = '&WheelSpd1_P.Delay2_DelayLength_c';     
         
xcp.parameters(97).symbol = 'WheelSpd1_P.Delay2_InitialCondition_c';
xcp.parameters(97).size   =  1;       
xcp.parameters(97).dtname = 'real_T'; 
xcp.parameters(98).baseaddr = '&WheelSpd1_P.Delay2_InitialCondition_c';     
         
xcp.parameters(98).symbol = 'WheelSpd1_P.Delay3_DelayLength_g';
xcp.parameters(98).size   =  1;       
xcp.parameters(98).dtname = 'uint32_T'; 
xcp.parameters(99).baseaddr = '&WheelSpd1_P.Delay3_DelayLength_g';     
         
xcp.parameters(99).symbol = 'WheelSpd1_P.Delay3_InitialCondition_f';
xcp.parameters(99).size   =  1;       
xcp.parameters(99).dtname = 'real_T'; 
xcp.parameters(100).baseaddr = '&WheelSpd1_P.Delay3_InitialCondition_f';     
         
xcp.parameters(100).symbol = 'WheelSpd1_P.Constant1_Value_i';
xcp.parameters(100).size   =  1;       
xcp.parameters(100).dtname = 'real_T'; 
xcp.parameters(101).baseaddr = '&WheelSpd1_P.Constant1_Value_i';     
         
xcp.parameters(101).symbol = 'WheelSpd1_P.zeta_Value';
xcp.parameters(101).size   =  1;       
xcp.parameters(101).dtname = 'real_T'; 
xcp.parameters(102).baseaddr = '&WheelSpd1_P.zeta_Value';     
         
xcp.parameters(102).symbol = 'WheelSpd1_P.FFGain_Gain';
xcp.parameters(102).size   =  1;       
xcp.parameters(102).dtname = 'real_T'; 
xcp.parameters(103).baseaddr = '&WheelSpd1_P.FFGain_Gain';     
         
xcp.parameters(103).symbol = 'WheelSpd1_P.Gain_Gain_n';
xcp.parameters(103).size   =  1;       
xcp.parameters(103).dtname = 'real_T'; 
xcp.parameters(104).baseaddr = '&WheelSpd1_P.Gain_Gain_n';     
         
xcp.parameters(104).symbol = 'WheelSpd1_P.Constant_Value_d';
xcp.parameters(104).size   =  1;       
xcp.parameters(104).dtname = 'real_T'; 
xcp.parameters(105).baseaddr = '&WheelSpd1_P.Constant_Value_d';     
         
xcp.parameters(105).symbol = 'WheelSpd1_P.gain_Gain';
xcp.parameters(105).size   =  1;       
xcp.parameters(105).dtname = 'real_T'; 
xcp.parameters(106).baseaddr = '&WheelSpd1_P.gain_Gain';     
         
xcp.parameters(106).symbol = 'WheelSpd1_P.d_InitialCondition_j';
xcp.parameters(106).size   =  1;       
xcp.parameters(106).dtname = 'real_T'; 
xcp.parameters(107).baseaddr = '&WheelSpd1_P.d_InitialCondition_j';     
         
xcp.parameters(107).symbol = 'WheelSpd1_P.d1_InitialCondition_p';
xcp.parameters(107).size   =  1;       
xcp.parameters(107).dtname = 'real_T'; 
xcp.parameters(108).baseaddr = '&WheelSpd1_P.d1_InitialCondition_p';     
         
xcp.parameters(108).symbol = 'WheelSpd1_P.d_InitialCondition_b';
xcp.parameters(108).size   =  1;       
xcp.parameters(108).dtname = 'real_T'; 
xcp.parameters(109).baseaddr = '&WheelSpd1_P.d_InitialCondition_b';     
         
xcp.parameters(109).symbol = 'WheelSpd1_P.d1_InitialCondition_j';
xcp.parameters(109).size   =  1;       
xcp.parameters(109).dtname = 'real_T'; 
xcp.parameters(110).baseaddr = '&WheelSpd1_P.d1_InitialCondition_j';     
         
xcp.parameters(110).symbol = 'WheelSpd1_P.d_InitialCondition_f';
xcp.parameters(110).size   =  1;       
xcp.parameters(110).dtname = 'real_T'; 
xcp.parameters(111).baseaddr = '&WheelSpd1_P.d_InitialCondition_f';     
         
xcp.parameters(111).symbol = 'WheelSpd1_P.d1_InitialCondition_l';
xcp.parameters(111).size   =  1;       
xcp.parameters(111).dtname = 'real_T'; 
xcp.parameters(112).baseaddr = '&WheelSpd1_P.d1_InitialCondition_l';     
         
xcp.parameters(112).symbol = 'WheelSpd1_P.Constant1_Value_h';
xcp.parameters(112).size   =  1;       
xcp.parameters(112).dtname = 'real_T'; 
xcp.parameters(113).baseaddr = '&WheelSpd1_P.Constant1_Value_h';     
         
xcp.parameters(113).symbol = 'WheelSpd1_P.gain1_Gain_f';
xcp.parameters(113).size   =  1;       
xcp.parameters(113).dtname = 'real_T'; 
xcp.parameters(114).baseaddr = '&WheelSpd1_P.gain1_Gain_f';     
         
xcp.parameters(114).symbol = 'WheelSpd1_P.gain2_Gain_po';
xcp.parameters(114).size   =  1;       
xcp.parameters(114).dtname = 'real_T'; 
xcp.parameters(115).baseaddr = '&WheelSpd1_P.gain2_Gain_po';     
         
xcp.parameters(115).symbol = 'WheelSpd1_P.d_InitialCondition_o';
xcp.parameters(115).size   =  1;       
xcp.parameters(115).dtname = 'real_T'; 
xcp.parameters(116).baseaddr = '&WheelSpd1_P.d_InitialCondition_o';     
         
xcp.parameters(116).symbol = 'WheelSpd1_P.d1_InitialCondition_e';
xcp.parameters(116).size   =  1;       
xcp.parameters(116).dtname = 'real_T'; 
xcp.parameters(117).baseaddr = '&WheelSpd1_P.d1_InitialCondition_e';     
         
xcp.parameters(117).symbol = 'WheelSpd1_P.Constant1_Value_p';
xcp.parameters(117).size   =  1;       
xcp.parameters(117).dtname = 'real_T'; 
xcp.parameters(118).baseaddr = '&WheelSpd1_P.Constant1_Value_p';     
         
xcp.parameters(118).symbol = 'WheelSpd1_P.Constant2_Value_f';
xcp.parameters(118).size   =  1;       
xcp.parameters(118).dtname = 'real_T'; 
xcp.parameters(119).baseaddr = '&WheelSpd1_P.Constant2_Value_f';     
         
xcp.parameters(119).symbol = 'WheelSpd1_P.gain1_Gain_b';
xcp.parameters(119).size   =  1;       
xcp.parameters(119).dtname = 'real_T'; 
xcp.parameters(120).baseaddr = '&WheelSpd1_P.gain1_Gain_b';     
         
xcp.parameters(120).symbol = 'WheelSpd1_P.gain2_Gain_p';
xcp.parameters(120).size   =  1;       
xcp.parameters(120).dtname = 'real_T'; 
xcp.parameters(121).baseaddr = '&WheelSpd1_P.gain2_Gain_p';     
         
xcp.parameters(121).symbol = 'WheelSpd1_P.gain3_Gain';
xcp.parameters(121).size   =  1;       
xcp.parameters(121).dtname = 'real_T'; 
xcp.parameters(122).baseaddr = '&WheelSpd1_P.gain3_Gain';     
         
xcp.parameters(122).symbol = 'WheelSpd1_P.gain4_Gain';
xcp.parameters(122).size   =  1;       
xcp.parameters(122).dtname = 'real_T'; 
xcp.parameters(123).baseaddr = '&WheelSpd1_P.gain4_Gain';     
         
xcp.parameters(123).symbol = 'WheelSpd1_P.Delay_DelayLength';
xcp.parameters(123).size   =  1;       
xcp.parameters(123).dtname = 'uint32_T'; 
xcp.parameters(124).baseaddr = '&WheelSpd1_P.Delay_DelayLength';     
         
xcp.parameters(124).symbol = 'WheelSpd1_P.Delay_InitialCondition';
xcp.parameters(124).size   =  1;       
xcp.parameters(124).dtname = 'real_T'; 
xcp.parameters(125).baseaddr = '&WheelSpd1_P.Delay_InitialCondition';     
         
xcp.parameters(125).symbol = 'WheelSpd1_P.Delay1_DelayLength';
xcp.parameters(125).size   =  1;       
xcp.parameters(125).dtname = 'uint32_T'; 
xcp.parameters(126).baseaddr = '&WheelSpd1_P.Delay1_DelayLength';     
         
xcp.parameters(126).symbol = 'WheelSpd1_P.Delay1_InitialCondition';
xcp.parameters(126).size   =  1;       
xcp.parameters(126).dtname = 'real_T'; 
xcp.parameters(127).baseaddr = '&WheelSpd1_P.Delay1_InitialCondition';     
         
xcp.parameters(127).symbol = 'WheelSpd1_P.Delay2_DelayLength';
xcp.parameters(127).size   =  1;       
xcp.parameters(127).dtname = 'uint32_T'; 
xcp.parameters(128).baseaddr = '&WheelSpd1_P.Delay2_DelayLength';     
         
xcp.parameters(128).symbol = 'WheelSpd1_P.Delay2_InitialCondition';
xcp.parameters(128).size   =  1;       
xcp.parameters(128).dtname = 'real_T'; 
xcp.parameters(129).baseaddr = '&WheelSpd1_P.Delay2_InitialCondition';     
         
xcp.parameters(129).symbol = 'WheelSpd1_P.Delay3_DelayLength';
xcp.parameters(129).size   =  1;       
xcp.parameters(129).dtname = 'uint32_T'; 
xcp.parameters(130).baseaddr = '&WheelSpd1_P.Delay3_DelayLength';     
         
xcp.parameters(130).symbol = 'WheelSpd1_P.Delay3_InitialCondition';
xcp.parameters(130).size   =  1;       
xcp.parameters(130).dtname = 'real_T'; 
xcp.parameters(131).baseaddr = '&WheelSpd1_P.Delay3_InitialCondition';     
         
xcp.parameters(131).symbol = 'WheelSpd1_P.Constant1_Value_l';
xcp.parameters(131).size   =  1;       
xcp.parameters(131).dtname = 'real_T'; 
xcp.parameters(132).baseaddr = '&WheelSpd1_P.Constant1_Value_l';     
         
xcp.parameters(132).symbol = 'WheelSpd1_P.gain2_Gain_c';
xcp.parameters(132).size   =  1;       
xcp.parameters(132).dtname = 'real_T'; 
xcp.parameters(133).baseaddr = '&WheelSpd1_P.gain2_Gain_c';     
         
xcp.parameters(133).symbol = 'WheelSpd1_P.gain3_Gain_o';
xcp.parameters(133).size   =  1;       
xcp.parameters(133).dtname = 'real_T'; 
xcp.parameters(134).baseaddr = '&WheelSpd1_P.gain3_Gain_o';     
         
xcp.parameters(134).symbol = 'WheelSpd1_P.d_InitialCondition_l';
xcp.parameters(134).size   =  1;       
xcp.parameters(134).dtname = 'real_T'; 
xcp.parameters(135).baseaddr = '&WheelSpd1_P.d_InitialCondition_l';     
         
xcp.parameters(135).symbol = 'WheelSpd1_P.d1_InitialCondition_g';
xcp.parameters(135).size   =  1;       
xcp.parameters(135).dtname = 'real_T'; 
xcp.parameters(136).baseaddr = '&WheelSpd1_P.d1_InitialCondition_g';     
         
xcp.parameters(136).symbol = 'WheelSpd1_P.d_InitialCondition_g';
xcp.parameters(136).size   =  1;       
xcp.parameters(136).dtname = 'real_T'; 
xcp.parameters(137).baseaddr = '&WheelSpd1_P.d_InitialCondition_g';     
         
xcp.parameters(137).symbol = 'WheelSpd1_P.d1_InitialCondition_a';
xcp.parameters(137).size   =  1;       
xcp.parameters(137).dtname = 'real_T'; 
xcp.parameters(138).baseaddr = '&WheelSpd1_P.d1_InitialCondition_a';     
         
xcp.parameters(138).symbol = 'WheelSpd1_P.K';
xcp.parameters(138).size   =  1;       
xcp.parameters(138).dtname = 'real_T'; 
xcp.parameters(139).baseaddr = '&WheelSpd1_P.K';     
         
xcp.parameters(139).symbol = 'WheelSpd1_P.P';
xcp.parameters(139).size   =  1;       
xcp.parameters(139).dtname = 'real_T'; 
xcp.parameters(140).baseaddr = '&WheelSpd1_P.P';     
         
xcp.parameters(140).symbol = 'WheelSpd1_P.Ts';
xcp.parameters(140).size   =  1;       
xcp.parameters(140).dtname = 'real_T'; 
xcp.parameters(141).baseaddr = '&WheelSpd1_P.Ts';     
         
xcp.parameters(141).symbol = 'WheelSpd1_P.Wn';
xcp.parameters(141).size   =  1;       
xcp.parameters(141).dtname = 'real_T'; 
xcp.parameters(142).baseaddr = '&WheelSpd1_P.Wn';     
         
xcp.parameters(142).symbol = 'WheelSpd1_P.jeta';
xcp.parameters(142).size   =  1;       
xcp.parameters(142).dtname = 'real_T'; 
xcp.parameters(143).baseaddr = '&WheelSpd1_P.jeta';     

function n = getNumParameters
n = 142;

function n = getNumSignals
n = 182;

function n = getNumEvents
n = 1;

function n = getNumModels
n = 1;

